import { select,csv,scaleLinear,max,scaleBand,axisLeft } from 'd3';

const svg = select('svg');

const width = +svg.attr('width');
const height = +svg.attr('height');

const render = data => {
  const xValue = d=>d.population;
  const yValue = d=>d.country;
  const margin = { top:20,right:20,bottom:20,left:100}
  const innerwidth = width -margin.left - margin.right;
  const innerheight = height - margin.top - margin.bottom;
  
  const xScale = scaleLinear()
  .domain([0,max(data,xValue)])
  .range([0,innerwidth]);
  
  const yScale = scaleBand()
  	.domain(data.map(yValue))
  	.range([0,innerheight]);
  
  const yAxis = axisLeft(yScale);
  //console.log(yScale.domain());

  const g = svg.append('g')
  	.attr('transform',`translate(${margin.left},${margin.top})`);
	
  yAxis(g.append('g'));
  
	g.selectAll('rect').data(data)  
  	.enter().append('rect')
      .attr('y',d=>yScale(yValue(d)))
      .attr('width',d => xScale(xValue(d)))
      .attr('height',yScale.bandwidth())
      .attr('fill','steelblue')
}

csv('data.csv').then(data => {
  data.forEach(d => {
    d.population = +d.population * 1000;
  })
  render(data);
})